package msg.provider.swing;

import msg.service.MsgService;
import javax.swing.*;

public class MsgServiceProvider {

    public static MsgService provider() {
        return new MsgServiceProviderImpl();
    }

    private static class MsgServiceProviderImpl implements MsgService {
        @Override
        public void showMessage(String msg) {
            JOptionPane.showMessageDialog(null, "From Msg Provider: " + msg);
        }
    }
}